#include "vision.h"
#include "bits/stdc++.h"

using namespace std;

vector<int> getVisionPattern1d() {
    return {3, 1, 1, 1, 2, 1};
}

int getMove1d(vector<int> v) {
    if (v.size() == 3) {
        if (v[0] == 1 and v[2] == 1) return 0;
        if (v[0] == 3) return 0;
        if (v[2] == 3) return 2;
        if (v[0] == 2) return 0;
        return 2;
    } else if (v.size() == 5) {
        return find(v.begin(), v.end(), 3) - v.begin();
    } else {
        if (v[1] == 2) return 6;
        else return 0;
    }
}

vector<vector<int>> getVisionPattern2d()
{
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v)
{
    return {0, 0};
}
